POST /ads/creatives

Create a creative from a Page post (objectStoryId), an Instagram post (instagramMediaId) or a new link ad (link, message, headline, imageUrl or imageHash, callToAction). Spends nothing; no confirm needed

POST
/ads/creatives

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Request Body

application/json
  1. body
accountId*string
adAccountId*string
name?string
objectStoryId?string
instagramMediaId?string
instagramUserId?string
link?string
message?string
headline?string
description?string
imageUrl?string
imageHash?string
callToAction?string
linkUrl?string

Response Body

{creative, mock}

application/json
  1. response
creative?
mock?boolean
Example Request
curl -X POST 'https://example.com/api/v1/ads/creatives' \  -H 'Content-Type: application/json' \  -d '{  "accountId": "string",  "adAccountId": "string"}'
Example Response
{  "creative": {},  "mock": true}